## org.codehaus.groovy.ast.expr
Class BooleanExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.BooleanExpression

Direct Known Subclasses:
  NotExpression

    public class BooleanExpression

extends Expression

Represents a boolean expression

Version:
  $Revision: 7922 $
Author:
  James Strachan

Constructor Summary
`BooleanExpression(Expression expression)`

Method Summary
`Expression` `getExpression()`
`String` `getText()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanExpression

    public BooleanExpression(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

Copyright © 2003-2008 The Codehaus. All rights reserved.